Subject: [Int-area] WGLC for draft-ietf-intarea-gre-ipv6 - Ethertypes

From: "Black, David" <[email-masked]>
Date: Tue, 31 Mar 2015 23:34:43 +0000

Section 2.2 says:

   The Protocol Type field contains the protocol type of the payload
   packet.  Protocol Types are defined in [ETYPES].  An implementation
   receiving a packet containing a Protocol Type which is not listed in
   [ETYPES] SHOULD discard the packet.

That latter sentence is almost pointless, and moreover, it’s an
unimplementable moving target.

Could we say that any GRE implementation SHOULD be configured with
the Protocol Types that are expected and SHOULD discard any packet
that arrives with an unexpected protocol type?

I would think that the number of expected protocol types is typically
a small number, and that check protects against misinterpreting a header
for encapsulated protocol A as a header for encapsulated protocol B,
which usually won’t accomplish much, but could occasionally cause
rather undesirable results.

I realize that this text was copied from RFC 2784, and that could be
a reason to not make this change.

Thanks,
--David

From: Int-area [mailto:[email-masked]] On Behalf Of Zuniga, Juan Carlos
Sent: Monday, March 30, 2015 4:27 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6

Dear Int-Area and 6man WGs,

At the Int-Area WG meeting in Dallas there were some comments on draft-ietf-intarea-gre-ipv6. It was decided to submit the document for WG Last Call to the Int-Area & 6man WGs as soon as the agreed changes were made.

The document has now been updated accordingly, so this email starts an Int-Area/6man WGs Last Call on:

http://tools.ietf.org/html/draft-ietf-intarea-gre-ipv6-04

Please respond to this email to support the document and/or send comments by 2015-04-06.

In addition, to satisfy RFC 6702 "Promoting Compliance with Intellectual Property Rights (IPR)":

Are you personally aware of any IPR that applies to draft-ietf-intarea-gre-ipv6?

If so, has this IPR been disclosed in compliance with IETF IPR rules?

(See RFCs 3979, 4879, 3669, and 5378 for more details.)

Best,

Juan Carlos Zuniga
(as Int-Area WG co-chair)

---

From: Ronald Bonica <[email-masked]>
Date: Wed, 1 Apr 2015 00:53:01 +0000

David,

One way to address this problem would be to remove Section 2.2 entirely. Since the syntax and semantics of the Protocol Type field is unchanged from RFC 2784, the omission of Section 2.2 doesn’t change the meaning of the draft at all.

Would that solution work for you?

                                                                     Ron

From: Black, David [mailto:[email-masked]]
Sent: Tuesday, March 31, 2015 7:35 PM
To: Zuniga, Juan Carlos; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; Black, David
Subject: WGLC for draft-ietf-intarea-gre-ipv6 - Ethertypes

Section 2.2 says:

Thanks,
--David

From: Int-area [mailto:[email-masked]] On Behalf Of Zuniga, Juan Carlos
Sent: Monday, March 30, 2015 4:27 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6

Best,

Juan Carlos Zuniga

---

From: "Black, David" <[email-masked]>
Date: Wed, 1 Apr 2015 00:58:46 +0000

That seems reasonable - the proverbial “right thing to do” would be to update 2784 to apply this recommendation across the board, but I’m ok with simply removing the Section 2.2 text and leaving things as they are in 2784.

Thanks,
--David

From: Ronald Bonica [mailto:[email-masked]]
Sent: Tuesday, March 31, 2015 8:53 PM
To: Black, David; Zuniga, Juan Carlos; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: WGLC for draft-ietf-intarea-gre-ipv6 - Ethertypes

David,

                                                                     Ron

From: Black, David [mailto:[email-masked]]
Sent: Tuesday, March 31, 2015 7:35 PM
To: Zuniga, Juan Carlos; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: WGLC for draft-ietf-intarea-gre-ipv6 - Ethertypes

Section 2.2 says:

Thanks,
--David

Best,

Juan Carlos Zuniga